Name:           fasterxml-oss-parent
Version:        26
Release:        8
Summary:        Faster, better open source XML and JSON parsing for the Java platform
License:        ASL 2.0
URL:            http://fasterxml.com/
Source0:        https://github.com/FasterXML/oss-parent/archive/oss-parent-%{version}.tar.gz

BuildRequires:	maven-local mvn(org.apache.felix:maven-bundle-plugin) mvn(org.codehaus.mojo:build-helper-maven-plugin)

BuildArch:      noarch

%description
FasterXML is the business behind the Woodstox streaming XML parser, Jackson streaming JSON parser,
the Aalto non-blocking XML parser, and a growing family of utility libraries and extensions.

FasterXML offers consulting services for adoption, performance tuning, and extension.

%prep
%autosetup -n oss-parent-oss-parent-%{version} -p1

for package in org.sonatype.plugins:nexus-maven-plugin :maven-scm-plugin \
               org.codehaus.mojo:jdepend-maven-plugin org.codehaus.mojo:taglist-maven-plugin \
               :maven-enforcer-plugin :maven-site-plugin
do
   %pom_remove_plugin ${package}
done

%pom_xpath_remove "pom:build/pom:extensions"
%pom_xpath_remove "pom:reporting/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:configuration"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']" '
<configuration>
  <encoding>UTF-8</encoding>
  <quiet>true</quiet>
  <source>${javac.src.version}</source>
</configuration>'

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc README.creole
%license LICENSE NOTICE

%changelog
* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 26-8
- Package init
